DUNE-OCAML(1)

NAME

dune-ocaml

SYNOPSIS

dune ocaml COMMAND …

COMMANDS

dump-dot-merlin [OPTION]… [PATH]
    Print Merlin configuration

ocaml-merlin [OPTION]…
    Start a merlin configuration server

top [OPTION]… [DIR]
    Print a list of toplevel directives for including directories and loading cma files.

top-module [OPTION]… [MODULE]
    Print a list of toplevel directives for loading a module into the topevel.

utop [OPTION]… [DIR] [ARGS]…
    Load library in utop

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

ocaml exits with the following status:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

dune(1)